]> arthur.barton.de Git - bup.git/blobdiff - cmd/margin-cmd.py
Use absolute_import from the __future__ everywhere
[bup.git] / cmd / margin-cmd.py
index 9b7fd60a18efd24ab1801f32bcf02623be0cd3c1..c042bf88bab8dd3795cb75d3e6f2bf2df44c3109 100755 (executable)
@@ -1,7 +1,15 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
 import sys, struct, math
+
 from bup import options, git, _helpers
-from bup.helpers import *
+from bup.helpers import log
 
 POPULATION_OF_EARTH=6.7e9  # as of September, 2010